com.tibbo.aggregate.common.context

## Class EntityReference

- java.lang.Object
- - com.tibbo.aggregate.common.context.EntityReference

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EntityReference>
  Direct Known Subclasses:
    FilteringEntityReference

      public class EntityReference
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EntityReference>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `context`
    `protected java.lang.String` | `entity`
    `protected java.lang.String` | `serverID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityReference()`
    `EntityReference(java.lang.String context, java.lang.String entity)`
    `EntityReference(java.lang.String context, java.lang.String entity, java.lang.String serverID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityReference` | `clone()`
    `int` | `compareTo(EntityReference ref)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getContext()`
    `java.lang.String` | `getEntity()`
    `java.lang.String` | `getProperty()`
    `java.lang.String` | `getServerID()`
    `int` | `hashCode()`
    `void` | `setContext(java.lang.String context)`
    `void` | `setEntity(java.lang.String entity)`
    `void` | `setProperty(java.lang.String property)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected java.lang.String context

    - #### entity

          protected java.lang.String entity

    - #### serverID

          protected java.lang.String serverID

  - ### Constructor Detail

    - #### EntityReference

          public EntityReference()

    - #### EntityReference

          public EntityReference(java.lang.String context,
                                 java.lang.String entity)

    - #### EntityReference

          public EntityReference(java.lang.String context,
                                 java.lang.String entity,
                                 java.lang.String serverID)

  - ### Method Detail

    - #### getContext

          public java.lang.String getContext()

    - #### getEntity

          public java.lang.String getEntity()

    - #### getProperty

          public java.lang.String getProperty()

    - #### setContext

          public void setContext(java.lang.String context)

    - #### setEntity

          public void setEntity(java.lang.String entity)

    - #### setProperty

          public void setProperty(java.lang.String property)

    - #### getServerID

          public java.lang.String getServerID()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(EntityReference ref)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<EntityReference>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          public EntityReference clone()

      Overrides:
        `clone` in class `java.lang.Object`